Subject: bug#23372: 25.0.93; text-quoting-style missing from manual and from customize

From: John Wiegley <[email-masked]>
Date: Wed, 27 Apr 2016 15:10:44 -0400

>>>>> Eli Zaretskii <[email-masked]> writes:

> It is easy to make a variable into a defcustom; the inverse is generally
> much harder.

That _is_ a rather strong argument...

The main reason I'd like a customization option along with the introduction of
the feature, is that it's a departure from *very* long-standiing practice, so
unless you happen to like Unicode quotes, I'm predicting that several people
will want a way to get back the sort of display they've been used to seeing
since antiquity.

Do any others object to having a customization option along with release of
the feature?  I'm cross-posting this to Emacs-devel to get more opinions.

The question is: Should `text-quoting-style' be customizable in 25.1, or
should it be a variable, thus requiring Lisp code to change it for now?

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2